#!/usr/bin/env python

import sys
args=sys.argv[1:]
sprites=False
arg=args.pop(0)
if arg == '-s':
    sprites=True
    arg=args.pop(0)
if arg == 'std':
    f=b'\x01\x08\r\x08\n\x00\x9e 12345\x00\x00\x00'
else:
    f=open(arg,'rb')
    f=f.read()
    #f.close()
a=list(ord(x) for x in f)
nr=None
for i in range(len(a)-1,0,-1):
    if a[i] == 158:
        nr = i
        break
if nr is None:
    raise Exception('A gdzie SYS')
a=a[2:nr+1]
lines=['.byte 1,8','*=$0801']
totlen=len(a) + 8

while len(a) > 0:
    b=a[:8]
    a=a[8:]
    b=','.join('$%02X' % x for x in b)
    lines.append('.byte '+b)

lines.append('.byte (start / 10000) | $30')
lines.append('.byte ((start - 10000 * (start / 10000)) / 1000) | $30')
lines.append('.byte ((start - 1000 * (start / 1000)) / 100) | $30')
lines.append('.byte ((start - 100 * (start / 100)) / 10) | $30')
lines.append('.byte (start - 10 * (start / 10)) | $30')
lines.append('.byte 0,0,0')

if sprites:
    badr=0x0801+totlen
    tadr=(badr +63) & 0xfc0
    eadr=tadr - badr
    if eadr:
        lines.append('.dsb %d' % eadr)
    lines.append('spriteidx = $%02x' % (tadr // 64))
    lines.append('sprites:')

lines='\n'.join(lines)

print(lines)

#print (';',totlen,eadr,badr)


"""
poke 254,8
poke 253,nr
"""
