#!/usr/bin/env python3

import sys, os
from PIL import Image, ImageDraw
imag=Image.new('RGB',(320,200),(0,0,0))
folder='.'
args=sys.argv[1:]
if args:
    folder=args.pop(0)

for n,a in enumerate('abcdefghijklmnop'):
    fn=os.path.join(folder,'imag%s.png' % a)
    im1=Image.open(fn)
    im1=im1.resize((80,48))
    x=80 * (n & 3)
    y=48 * (n // 4) +8
    imag.paste(im1,(x,y))

draw=ImageDraw.Draw(imag)
for i in range(0,320,80):
    draw.line(((i,0),(i,200),(i+1,200),(i+1,0)), fill=0);
for i in range(6,190,48):
    draw.line(((0,i),(320,i),(320,i+1),(0,i+1)), fill=0)
imag.save(os.path.join(folder,'imag0.png'))
imag.show('')
exit(0)
